Subject: Re: bug#54245: 29.0.50; select usage in GNUstep

From: Robert Pluim <[email-masked]>
Date: Sat, 05 Mar 2022 12:32:18 +0100

>>>>> On Sat, 05 Mar 2022 08:45:03 +0800, Po Lu <[email-masked]> said:

    Po> That LGTM, but I only tested on GNUstep.  The same code is also used on
    Po> macOS, so there might be some side effects.

Iʼm on macOS

    Po> Though the NS port is very old and I get the feeling that we keep
    Po> bumping into relics from over two decades ago, and using `select' might
    Po> very well be one of those.

Every platform has a replacement for `select', but theyʼre all
different. The only real issue I see with (p)select is that you canʼt
wait on more than FD_SETSIZE descriptors.

Robert
--